%define subrel 1
%define oname	pycrypto
%define py_platsitedir	%{_libdir}/python2.4/site-packages

Summary:	Python interface to various crypto algorithms and protocols
Name:		python2.4-%{oname}
Version:	2.0.1
Release:	%mkrel 4
Source0:	http://www.amk.ca/files/python/crypto/%{oname}-%{version}.tar.gz
Source1:	http://www.amk.ca/files/python/crypto/%{oname}-%{version}.sig
Patch0:		pycrypto-1.9a6-64bit.patch
Patch1:		pycrypto-CVE-2009-0544.patch
License:	Public Domain
Group:		Development/Python
URL:		http://www.amk.ca/python/code/crypto.html
BuildRequires:	python2.4-devel
BuildRequires:	gmp-devel
Requires:	python2.4
BuildRoot:	%{_tmppath}/%{oname}-%{version}-%{release}-buildroot

%description
The Toolkit is a collection of cryptographic algorithms and protocols,
implemented for use from Python. The current release is 1.9alpha6. Among
the contents of the package:

 * Hash functions: MD2, MD4, RIPEMD.
 * Block encryption algorithms: AES, ARC2, Blowfish, CAST, DES, Triple-
   DES, IDEA, RC5.
 * Stream encryption algorithms: ARC4, simple XOR.
 * Public-key algorithms: RSA, DSA, ElGamal, qNEW.
 * Protocols: All-or-nothing transforms, chaffing/winnowing.
 * Miscellaneous: RFC1751 module for converting 128-key keys into a set
   of English words, primality testing.
 * Some demo programs (currently all quite old and outdated).

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1 -b .64bit
%patch1 -p1 -b .cve-2009-0544
perl -pi -e 's|/usr/local/bin/|%{_bindir}/|' Util/RFC1751.py 

%build
CFLAGS="%{optflags}" python2.4 setup.py build
python2.4 test.py

%install
rm -rf %{buildroot}
python2.4 setup.py install --root="%{buildroot}" --compile --optimize=2

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README LICENSE TODO
%{py_platsitedir}/*




%changelog
* Mon Feb 23 2009 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 2.0.1-4.1nxd2009.0
- sync with python-pycrypto-2.0.1-4.1mdv2009.0:
  P1: security fix for CVE-2009-0544

* Fri Jul 25 2008 Yoshinori Okuji <yo@nexedi.com> 2.0.1-3mdv2008.1
- transformed for python2.4.

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-2mdv2008.1
+ Revision: 179388
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 26 2007 Andreas Hasenack <andreas@mandriva.com> 2.0.1-1mdv2008.0
+ Revision: 31233
- updated to version 2.0.1
- added gpg sig


* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.0-2mdv2007.0
+ Revision: 88125
- Import pycrypto

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.0-2mdv2007.1
- update file list

* Mon Feb 21 2005 Michael Scherer <misc@mandrake.org> 2.0-1mdk
- New release 2.0
- make it rpmbuildupdatable
- remove signature, and compress to bzip2
- add test

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.9a6-3mdk
- Rebuild for new python

* Mon Feb 09 2004 Abel Cheung <deaddog@deaddog.org> 1.9a6-2mdk
- Fix directory ownership
- Fix license
- Use vanilla tar.gz for signature verification (Source1)
- Patch0: Search extra library paths for gmp in 64bit arch

